Package org.apache.uima.cas.impl

# Class StringHeapDeserializationHelper

java.lang.Object
org.apache.uima.cas.impl.StringHeapDeserializationHelper

public class StringHeapDeserializationHelper extends Object
Support for legacy string heap format. Used only for (de)serialization.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final int`
  `CHAR_HEAP_POINTER_OFFSET`
  `protected static final int`
  `CHAR_HEAP_STRLEN_OFFSET`
  `protected char[]`
  `charHeap`
  `protected int`
  `charHeapPos`
  `protected static final int`
  `FIRST_CELL_REF`
  `protected static final int`
  `REF_HEAP_CELL_SIZE`
  `protected int[]`
  `refHeap`
  `protected int`
  `refHeapPos`
  `protected static final int`
  `STRING_LIST_ADDR_OFFSET`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringHeapDeserializationHelper()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REF_HEAP_CELL_SIZE

    protected static final int REF_HEAP_CELL_SIZE
    See Also:
      - Constant Field Values

  - ### CHAR_HEAP_POINTER_OFFSET

    protected static final int CHAR_HEAP_POINTER_OFFSET
    See Also:
      - Constant Field Values

  - ### CHAR_HEAP_STRLEN_OFFSET

    protected static final int CHAR_HEAP_STRLEN_OFFSET
    See Also:
      - Constant Field Values

  - ### STRING_LIST_ADDR_OFFSET

    protected static final int STRING_LIST_ADDR_OFFSET
    See Also:
      - Constant Field Values

  - ### FIRST_CELL_REF

    protected static final int FIRST_CELL_REF
    See Also:
      - Constant Field Values

  - ### refHeapPos

    protected int refHeapPos

  - ### refHeap

    protected int[] refHeap

  - ### charHeapPos

    protected int charHeapPos

  - ### charHeap

    protected char[] charHeap

- ## Constructor Details

  - ### StringHeapDeserializationHelper

    public StringHeapDeserializationHelper()